<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>GTSBox: Instructions to install toolboxes</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">GTSBox
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="PageDoc"><div class="header">
  <div class="headertitle">
<div class="title">Instructions to install toolboxes </div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><p>This tool depends on specific dependencies, which are in the <code>Dependencies</code> folder. These dependencies are pulled as submodules. As of 2020, the following instructions will enable you to implement the toolboxes, with the version of the dependencies we used. If other versions of these tools need to be used, please refer to the dependencies' source for any information required.</p>
<p>Before starting, make sure that you have:</p><ol type="1">
<li><code>cmake</code> (atleast 3.3.0). In the cluster, you may have a module which can be used by calling: <pre class="fragment">     module load cmake/3.x.x
</pre></li>
<li><code>MATLAB</code>. Since we rely on AMICI, only versions until MATLAB2017b can be used without any issues. Please see the issues reported in AMICI <a href="https://github.com/ICB-DCM/AMICI/issues/307">https://github.com/ICB-DCM/AMICI/issues/307</a>. In the cluster, you could load the Matlab module: <pre class="fragment">    module load matlab/R2017b
</pre></li>
<li>The version of <code>c++ compiler</code>that can be used by MATLAB Please see: <a href="https://www.mathworks.com/help/matlab/matlab_external/choose-c-or-c-">https://www.mathworks.com/help/matlab/matlab_external/choose-c-or-c-</a> compilers.html and <a href="https://www.mathworks.com/help/matlab/matlab_external/changing-default-compiler.html">https://www.mathworks.com/help/matlab/matlab_external/changing-default-compiler.html</a> In the server/ grid, you can use <pre class="fragment">    module load gcc/4.9.4
</pre></li>
<li>To compile the documentation, we need to install Doxygen in the system. This can be done in macOS by using macports or homebrew: <br  />
 <pre class="fragment">          port install doxygen
</pre></li>
</ol>
<p>Also, we need to have perl installed. In the server, this can be done by again loading the right module (in process).</p>
<h2>Installation scripts</h2>
<p>The following scripts will enable you to install the toolboxes from bash. These have to be executed from the folder: <code>Scripts</code></p>
<ol type="1">
<li><b>doxymatlab</b> toolbox: <a href="https://github.com/simgunz/doxymatlab">https://github.com/simgunz/doxymatlab</a> the doxymatlab toolbox enables us to use doxygen with matlab scripts. The doxygen file we use in the Documentation folder and can be modified. Check out the README in the toolbox to make any modifications that are specific to the OS used. The scripts you may have to run are <code>convertToUnix.sh</code> and modify the <code>.pl</code> scripts. <br  />
</li>
<li><b>AMICI</b> toolbox: <a href="https://github.com/ICB-DCM/AMICI">https://github.com/ICB-DCM/AMICI</a> We use the Matlab version of the toolbox functions to integrate the ODE model and forward sensitivities. AMICI is used in Matlab by just adding the path of the toolbox.</li>
<li><b>Nlopt</b> toolbox: <a href="https://github.com/stevengj/nlopt">https://github.com/stevengj/nlopt</a> We use this toolbox for optimization. To install nlopt, run the script <code>install-nlopt</code> <pre class="fragment">cd Scripts
sh install-nlopt.sh
</pre></li>
</ol>
<p>Note: If running on the server, load all relevant modules using: </p><pre class="fragment">    source load-modules.sh
</pre><p>before installing nlopt.</p>
<p>Depending on your system, always ensure the gcc version you use is compatible with the <code>cmake</code> version while installing nlopt. </p>
</div></div><!-- contents -->
</div><!-- PageDoc -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Thu Dec 3 2020 14:53:30 for GTSBox by&#160;<a href="http://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20
</small></address>
</body>
</html>
